cannot install packages on linux mint 15

Reported by Holden Long on 2013-07-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KXStudio
Undecided
Unassigned

Bug Description

Linux Mint 15, i386 architecture
I did all the following as sudo:
I added ppa:kxstudio-team/kxstudio
I installed kxstudio-repos with apt-get
I ran apt-get dist-upgrade
When I tried to install kxstudio-desktop-base with apt-get, I got the error "Unable to locate package kxstudio-desktop-base"
apt-get is convinced it has the kxstudio ppa and that the repos are at the latest version (tried multiple times...) so I don't know why it can't find the package.
apt-get install kxstudio-meta-audio gives this error:

"Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kxstudio-meta-audio : Depends: carla but it is not going to be installed
                       Recommends: kxstudio-meta-audio-plugins but it is not going to be installed
                       Recommends: midisnoop but it is not installable
                       Recommends: non-daw but it is not installable
                       Recommends: non-mixer but it is not installable
                       Recommends: non-sequencer but it is not installable
                       Recommends: non-session-manager but it is not installable
                       Recommends: ariamaestosa but it is not installable
                       Recommends: giada but it is not installable
                       Recommends: laborejo but it is not installable
                       Recommends: lisaloqt but it is not installable
E: Unable to correct problems, you have held broken packages."

What should I try now?
(I am a novice linux user but I understand how to install things via command line, I don't know why this is happening)

falkTX (falk-t-j) wrote :

perhaps you missed a simple:
sudo apt-get update
?

Holden Long (krofpt) wrote :

Forgot to mention, but yes I updated. I think dist-upgrade would work too, but I ran apt-get update before that.

falkTX (falk-t-j) wrote :

Then I guess add-ppa-repository is broken for mint.
Check all the files in /etc/apt/sources.list.d/ to make sure they don't use mint names.

For example, you should have /etc/apt/sources.list.d/kxstudio-team-ppa-precise.list with:
deb http://ppa.launchpad.net/kxstudio-team/ppa/ubuntu precise main
deb-src http://ppa.launchpad.net/kxstudio-team/ppa/ubuntu precise main

I rememeber Mint using different values instead of precise, quantal or raring, which breaks PPAs

Holden Long (krofpt) wrote :

complete contents of /etc/apt/sources.list.d:
http://i.imgur.com/Cvla890.png

mint must be using raring for ppa? I don't know if I'm missing files here.

Here's the contents of kxstudio-team-kxstudio-raring.list, in case that's helpful:
deb http://ppa.launchpad.net/kxstudio-team/kxstudio/ubuntu raring main
deb-src http://ppa.launchpad.net/kxstudio-team/kxstudio/ubuntu raring main

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers